Extending Qt Creator Manual | CustomParser

Extending Qt Creator Manual 4.5.2

# CustomParser Class

(ProjectExplorer::CustomParser)

Inherits: | ProjectExplorer::IOutputParser

- List of all members, including inherited members

## Public Functions

| CustomParser(const CustomParserSettings &settings = CustomParserSettings())
void | setSettings(const CustomParserSettings &settings)

## Reimplemented Public Functions

virtual void | stdError(const QString &line) override
virtual void | stdOutput(const QString &line) override

- 9 public functions inherited from ProjectExplorer::IOutputParser

## Static Public Members

Core::Id | id()

- 1 static public member inherited from ProjectExplorer::IOutputParser

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser

## Member Function Documentation

### CustomParser::CustomParser(const CustomParserSettings &settings = CustomParserSettings())

Copy constructor.

### `[static]` Core::Id CustomParser::id()

### void CustomParser::setSettings(const CustomParserSettings &settings)

### `[override virtual]` void CustomParser::stdError(const QString &line)

### `[override virtual]` void CustomParser::stdOutput(const QString &line)